## expect 5.45

=== debian/changelog ===
expect (5.45-7) unstable; urgency=medium

  * Applied a few fixes by upstream which were included in Expect 5.45.3
    never released as a tarball (closes: #799301).
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 23 Oct 2015 11:27:59 +0300

expect (5.45-6) unstable; urgency=low

  * Split the expect package into expect and tcl-expect where the libexpect
    library and the Tcl package are moved. Made the tcl-expect package
    multiarch same.
  * Renamed the expect-dev package into tcl-expect-dev and moved the included
    scripts into the main expect package.
  * Build expect with Tcl 8.6.
  * Use CFLAGS from the dpkg build flags. Fixed potential security bug in
    printf format handling.
  * Bumped the debhelper compatibility version to 9.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 Jul 2014 08:30:57 +0400

expect (5.45-5) unstable; urgency=low

  * Added patch which replaces memcpy my memmove for copying possibly
    overlapping memory area, thanks to Per Cederqvist (closes: #728663).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 04 Nov 2013 08:28:43 +0400

expect (5.45-4) unstable; urgency=low

  * Execute tclsh8.5 instead of tclsh in expect scripts because tcl8.5
    will stop providing /usr/bin/tclsh.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 06 Oct 2013 09:00:38 +0400

expect (5.45-3) unstable; urgency=low

  * Added conflicts header to the debian/control file which ensures that the
    no longer existing expectk package gets removed (closes: #686364).
  * Switched to 3.0 (quilt) source package format.
  * Bumped debhelper compatibility level to 8.
  * Bumped standards version to 3.9.4.
  * Added hardening linker flags.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 06 May 2013 13:34:56 +0400

expect (5.45-2) unstable; urgency=low

  * Replaced ckalloc() call in exp_clib.c by malloc() because using the
    ordinary free() leads to memory corruption after ckalloc() (which is
    a macro for Tcl_Alloc()). See patches/22-segfault-with-stubs.patch
    for segfaulting examples.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 04 Nov 2011 12:14:05 +0400

expect (5.45-1) unstable; urgency=low

  * New upstream release.
  * Removed unnecessary patches.
  * Removed the expectk package because expectk was dropped from the upstream
    distribution. See NEWS.Debian for possible workarounds.
  * Updated package to standards version 3.9.2 (no changes needed).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 17 Aug 2011 21:50:29 +0400

expect (5.44.1.15-4) unstable; urgency=low

  * Added patch by upstream which fixes crash during exact string matching
    in expect command if the search pattern contains non-ASCII characters.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 27 Oct 2010 10:29:04 +0400

expect (5.44.1.15-3) unstable; urgency=low

  * Added patch by upstream (proposed by Per Cederqvist) which fixes
    slow processing of certain regexp patterns by preventing their
    convertation to glob patterns (closes: #591695).
  * Don't load Expect package to tclsh 8.4 because it causes a
    segmentation fault.
  * Updated package to standards version 3.9.1 (no changes needed).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 05 Sep 2010 09:48:27 +0400

expect (5.44.1.15-2) unstable; urgency=low

  * Removed a bit of implicit-declarations patch which included tcl.h into
    exp_clib.c and redefined memory allocation routines because of Tcl
    stubs (closes: #588817).
  * Updated package to standards version 3.9.0 (no changes needed).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 Jul 2010 18:31:29 +0400

expect (5.44.1.15-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 15 Mar 2010 20:56:14 +0300

expect (5.44.1.14-5) unstable; urgency=low

  * Fixed sourcing rc flies by expectk (closes: #555746).
  * Removed another unnecessary patch.
  * Adapted expect test suite to the changes in pkgIndex.tcl which can't load
    Expect package if it isn't installed into /usr/lib.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 18 Nov 2009 22:42:44 +0300

expect (5.44.1.14-4) unstable; urgency=low

  * Added replaces field to expect-dev binary package because libexpect(3)
    manpage was moved from expect to expect-dev package (closes: #554947).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 07 Nov 2009 15:53:09 +0300

expect (5.44.1.14-3) unstable; urgency=low

  * Removed build dependencies which are also dependencies of tk8.5-dev
    (since 8.5.7-2).
  * Use locally defined function Tcl_ErrnoMsg in exp_clib.c because this
    part of the library is supposed to be used without loading into a Tcl
    interpreter, which isn't possible if expect is build with Tcl stubs
    (closes: #552685).
  * Removed unneeded patches from debian/patches, cleaned up other ones.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 03 Nov 2009 21:21:56 +0300

expect (5.44.1.14-2) unstable; urgency=low

  * Added buid conflict with autoconf2.13 because autoconf 2.50 or newer is
    required to process configure.in template.
  * Fixed building with the current config.sub and config.guess from
    autotools-dev package (closes: #551332).
  * Fixed cleaning after build is done.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 23 Oct 2009 12:24:40 +0400

expect (5.44.1.14-1) unstable; urgency=low

  * New maintainer Sergei Golovan <sgolovan@debian.org> (closes: #543839).
  * New upstream CVS snapshot.
  * Switched to upstream which maintains CVN at SourceForge.net because
    Don Libet doesn't have time to develop Expect anymore. Therefore, changed
    upstream homepage.
  * Switched to Tcl/Tk 8.5 (closes: #512150).
  * Don't call configure and build targets twice anymore (closes: #441114).
  * Upstream includes patch which fixes empty writes (closes: #421187).
  * The new upstream fixed a regression which didn't allow to read from stdin
    (closes: #347259).

