=== debian/control ===
Source: expect
Section: interpreters
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), autotools-dev,
 autoconf, tcl8.6-dev
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/expect/

Package: expect
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: expect-dev
Provides: expect-dev
Replaces: expect-dev
Recommends: tcl8.6, tk8.6
Multi-Arch: foreign
Description: Automates interactive applications
 Expect is a tool for automating interactive applications according to a script.
 Following the script, Expect knows what can be expected from a program and what
 the correct response should be. Expect is also useful for testing these same
 applications. And by adding Tk, you can also wrap interactive applications in
 X11 GUIs. An interpreted language provides branching and high-level control
 structures to direct the dialogue. In addition, the user can take control and
 interact directly when desired, afterward returning control to the script.
 .
 This package contains the expect binary and several Expect based scripts.

Package: tcl-expect
Architecture: any
Depends: libtcl8.6, ${misc:Depends}, ${shlibs:Depends}
Conflicts: expectk (<< 5.45)
Suggests: expect
Multi-Arch: same
Description: Automates interactive applications (Tcl package)
 Expect is a tool for automating interactive applications according to a script.
 Following the script, Expect knows what can be expected from a program and what
 the correct response should be. Expect is also useful for testing these same
 applications. And by adding Tk, you can also wrap interactive applications in
 X11 GUIs. An interpreted language provides branching and high-level control
 structures to direct the dialogue. In addition, the user can take control and
 interact directly when desired, afterward returning control to the script.
 .
 This package contains the library and Tcl package Expect.

Package: tcl-expect-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}, tcl-expect (= ${binary:Version}), tcl8.6-dev
Replaces: expect (<< 5.44.1.14), expect-dev (<< 5.45-6~~)
Multi-Arch: same
Description: Automates interactive applications (development)
 Expect is a tool for automating interactive applications according to a script.
 Following the script, Expect knows what can be expected from a program and what
 the correct response should be. Expect is also useful for testing these same
 applications. And by adding Tk, you can also wrap interactive applications in
 X11 GUIs. An interpreted language provides branching and high-level control
 structures to direct the dialogue. In addition, the user can take control and
 interact directly when desired, afterward returning control to the script.
 .
 This package contains the development files.
