## expect 5.45.4

=== example/Makefile ===
--- 
+++ 
@@ -1,25 +1,14 @@
-TCLVERSION = 7.5
-TCLROOT = ../../tcl$(TCLVERSION)
-
-# Tcl include files.  (If you haven't installed Tcl yet, read the README file).
-# This must point to the directory that contains ALL of Tcl's include
-# files, not just the public ones.
-TCLHDIR = $(TCLROOT)/generic
-
-# TCL library.  Very little actually comes out of it, but it is handy.
-TCLLIB = $(TCLROOT)/unix/libtcl$(TCLVERSION).a
-# if installed, you can use:
-# TCLLIB = -ltcl
+EXPVERSION = 5.31
 
 CC = gcc
 CPLUSPLUS = g++
 CPLUSPLUSLIBDIR = -L/depot/gnu/arch/lib
 CPLUSPLUSLIB = -lg++
 
-CFLAGS = -g -I.. -I$(TCLHDIR)
-LIBEXPECT = -L.. -lexpect5.20
+CFLAGS = -g -I..
+LIBEXPECT = -L.. -lexpect$(EXPVERSION)
 
-LIBS = $(LIBEXPECT) $(TCLLIB) -lm
+LIBS = $(LIBEXPECT) -lm
 
 SCRIPTS = su2 noidle script.exp bonfield.exp
 
@@ -40,6 +29,9 @@
 
 chesslib++.o: chesslib++.c
 	$(CPLUSPLUS) -c $(CFLAGS) chesslib++.c
+
+unbuffer-standalone: unbuffer.o
+	$(CC) -g -o unbuffer-standalone unbuffer.o $(LIBS)
 
 printvars: printvars.o
 	$(CC) -o printvars printvars.o $(LIBS)
