=== debian/changelog ===
expect (5.45.4-4) unstable; urgency=medium

  * Remove the ftp-rfc script from the binary package because it relies on
    no longer functional FTP host (closes: #1086569).
  * Apply patches with editorial changes to the expect manpages
    (closes: #1071422, #1086693, #1090339, #1090341, #1090348, #1090714,
    #1090720).
  * Bump standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 24 Feb 2025 15:49:29 +0300

expect (5.45.4-3) unstable; urgency=medium

  * Fix impicit declaration of exp_init_tty() in exp_clib.c (closes: #1066257).
  * Fix a typo in the decryptdir(1) manpage (closes: #1036463).
  * Bump the debhelper compatibility level to 13.
  * Bump standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 13 Mar 2024 15:55:45 +0300

expect (5.45.4-2) unstable; urgency=medium

  * Move the tcl8.6 package to strict dependencies of expect, since all
    supplied scripts use tclsh8.6 and not expect as a shell (closes: #882443).
  * Add a code that instructs users to install tk8.6 to scripts which
    require Tk.
  * Replace the get-orig-source target in debian/rules by debian/watch and
    use uscan to retrieve the latest source tarball.
  * Change the upstream homepage to https://core.tcl.tk/expect/.
  * Add the VCS headers.
  * Bump standards version to 4.1.4.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 Apr 2018 16:54:34 +0300

expect (5.45.4-1) unstable; urgency=medium

  * New upstream release.
  * Remove a patch by Georg-Johann Lay introduced in 5.45-8 because it has
    been applied upstream.
  * Bump standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 04 Feb 2018 14:17:06 +0300

expect (5.45.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches which are were taken from upstream.
  * Demote tk8.6 from recommended to suggested in the expect dependencies
    list (closes: #876018).
  * Apply patch by Helmut Grohne which replaces a few calls to AC_TRY_RUN
    in the configure.in script to make the package cross compilable
    (closes: #873730).
  * Bumped the debhelper compatibility version to 10.
  * Remove the now useless build-dependency on autotools-dev.
  * Bumped standards version to 4.1.1.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 26 Oct 2017 11:14:59 +0300

expect (5.45-8) unstable; urgency=medium

  * Added a patch by Georg-Johann Lay which now properly checks for EOF
    and doesn't lose input when there are some characters in the input buffer
    and EOF flag happens.
  * Bumped standards version to 4.0.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 15 Jul 2017 08:21:00 +0300
