=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: interpreters
 Priority: optional
 Maintainer: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), autotools-dev,
- autoconf, tcl8.6-dev
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~), autoconf, tcl8.6-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.6
-Homepage: http://sourceforge.net/projects/expect/
+Standards-Version: 4.7.0
+Homepage: https://core.tcl.tk/expect/
+Vcs-Browser: https://salsa.debian.org/tcltk-team/expect
+Vcs-Git: https://salsa.debian.org/tcltk-team/expect.git
 
 Package: expect
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: tcl8.6, ${misc:Depends}, ${shlibs:Depends}
 Conflicts: expect-dev
 Provides: expect-dev
 Replaces: expect-dev
-Recommends: tcl8.6, tk8.6
+Suggests: tk8.6
 Multi-Arch: foreign
 Description: Automates interactive applications
  Expect is a tool for automating interactive applications according to a script.
